@import "materialcolors.css";
@font-face {
    font-family: 'Material Icons';
    font-style: normal;
    font-weight: 400;
    src: url(assets/fonts/MaterialIcons-Regular.eot); /* For IE6-8 */
    src: local('Material Icons'),
      local('MaterialIcons-Regular'),
      url(assets/fonts/MaterialIcons-Regular.woff2) format('woff2'),
      url(assets/fonts/MaterialIcons-Regular.woff) format('woff'),
      url(assets/fonts/MaterialIcons-Regular.ttf) format('truetype');
}
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: local('Roboto'), local('Roboto-Regular'),
        url(assets/fonts/roboto-regular.woff2) format('woff2');
  }

  @font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: local('Roboto Medium'), local('Roboto-Medium'),
        url(assets/fonts/roboto-medium.woff2) format('woff2');
  }

  @font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: local('Roboto Bold'), local('Roboto-Bold'),
        url(assets/fonts/roboto-bold.woff2) format('woff2');
  }
@viewport {
    width: device-width;
    zoom: 1.0;
    max-zoom: 5.0;
    min-zoom: 1.0;
    user-zoom: fixed;
}
.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 1.5rem;  /* Preferred icon size */
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;

    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;

    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;

    /* Support for IE. */
    font-feature-settings: 'liga';
}
::-webkit-scrollbar-button {
    display: none;
}
/*### MaterialApp ###*/
.materialApp, html {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
    font-family: Roboto, 'Segoe UI', Tahoma, sans-serif;
    scroll-behavior: smooth;
    background: var(--light-background-color);
    touch-action: none;
}
.loading {
    cursor: progress!important;
}
.busy {
    cursor: wait!important;
}
/*### Scaffold ###*/
.materialScaffold {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    touch-action: none;
}
.materialAppBar:not(.hidden) ~ .materialScaffold {
    height: calc(100% - 3.5rem);
}
.materialAppBar.materialHighAppBar ~ .materialScaffold {
    height: calc(100% - 6.5rem);
}
.materialScaffoldBody {
    overflow: auto;
}
/*### Buttons ###*/
.materialButton {
    font-size: .875rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: transparent;
    color: var(--accent-color);
    border-radius: .25rem;
    padding: .5rem;
    cursor: pointer;
    min-height: 2.25rem;
    font-family: Roboto, 'Segoe UI', Tahoma, sans-serif;
    outline: none;
    min-width: 4rem;
    border: none;
    -webkit-tap-highlight-color: transparent;
    text-decoration: none;
    box-sizing: border-box;
    display: inline-block;
    transition: background var(--slow-transition-duration) var(--standard-transition), color var(--slow-transition-duration) var(--standard-transition);
}
.materialOutlinedButton {
    border: .0625rem solid rgb(218, 220, 224);
    background: var(--light-text);
    padding: .5rem 1rem;
}
.materialRaisedButton{
    background: var(--accent-color);
    padding: .5rem 1rem;
    color: white; /*MS Edge fallback*/
    color: var(--on-main);
    box-shadow: var(--material-shadow-elevation-2);
}
.materialRaisedButton:active {
    box-shadow: var(--material-shadow-elevation-8);
}
.materialFAB {
    font-size: 1.5rem;
    background: var(--accent-color);
    color: var(--on-accent);
    border-radius: 50%;
    height: 3.5rem;
    width: 3.5rem;
    padding: 1rem;
    min-width: unset;
    box-shadow: var(--material-shadow-elevation-6);
    display: flex;
}
.materialFAB:active {
    box-shadow: var(--material-shadow-elevation-12);
}
.materialExposedFAB {
    position: absolute;
    bottom: 2rem;
    right: 2rem;
    transition: bottom var(--mid-transition-duration) var(--standard-transition);
}
.snackBarShown .materialExposedFAB {
    bottom: 4.25rem;
}
/*### Icons ###*/
.materialImageIcon {
    height: 2.5rem;
    width: 2.5rem;
}
.materialIconButton {
    color: inherit;
    background: none;
    border-radius: 50%;
    height: 1.5rem;
    min-height: 1.5rem;
    width: 1.5rem;
    margin: 0;
    font-size: 1.5rem;
    padding: 0;
    min-width: unset;
    display: inline-flex;
}
.materialIconButton:focus {
    box-shadow: none;
}
.materialDrawerButton {
    display: inline-block;
    position: relative;
    bottom: .5rem;
    -webkit-tap-highlight-color: transparent;
    padding: .1875rem;
    box-sizing: border-box;
    margin-top: .5rem;
}
.materialDrawerButton span {
    height: .125rem;
    background: white; /*MS Edge fallback*/
    background: var(--on-main);
    width: 1.125rem;
    padding: 0;
    margin: 0;
    display: block;
    content: "";
    font-size: 0px;
    transition: transform var(--slow-transition-duration) var(--standard-transition);
    transform: rotate(0deg);
}
.materialDrawerButton span::before {
    content: "";
    height: .125rem;
    background: inherit;
    width: 1.125rem;
    display: block;
    position: relative;
    bottom: .3125rem;
    transform: rotate(0deg);
    left: 0;
    transition: transform var(--slow-transition-duration) var(--standard-transition), left var(--slow-transition-duration) var(--standard-transition), width var(--slow-transition-duration) var(--standard-transition);
}
.materialDrawerButton span::after {
    content: "";
    height: .125rem;
    background: inherit;
    width: 1.125rem;
    display: block;
    position: relative;
    top: .1875rem;
    transform: rotate(0deg);
    left: 0;
    transition: transform var(--slow-transition-duration) var(--standard-transition), left var(--slow-transition-duration) var(--standard-transition), width var(--slow-transition-duration) var(--standard-transition);
}
.materialNavigationDrawerContainer.shown ~ * .materialDrawerButton span {
    transform: rotate(180deg);
}
.materialNavigationDrawerContainer.shown ~ * .materialDrawerButton span::before {
    transform: rotate(45deg);
    left: .29rem;
    width: 1rem;
}
.materialNavigationDrawerContainer.shown ~ * .materialDrawerButton span::after {
    transform: rotate(-45deg);
    left: .29rem;
    width: 1rem;
}
.materialAppBar .materialIconButton {
    margin-left: 1.4rem;
    display: inline-block;
}
.materialAppBar .materialIconButton:first-of-type {
    margin-left: 0;
}
.materialLeftHeaderSection .materialIconButton {
    margin-left: 0;
    margin-right: 1rem;
}
/*### AppBar ###*/
.materialAppBar {
    margin: 0;
    padding-left: env(safe-area-inset-left);
    padding-right: env(safe-area-inset-right);
    width: 100%;
    width: calc( 100% - env(safe-area-inset-left) - env(safe-area-inset-right) );
    height: 3.5rem;
    background: #ff5722;
    background: var(--main-color);
    transition: background var(--slow-transition-duration) var(--standard-transition), color var(--slow-transition-duration) var(--standard-transition);
    color: white; /*MS Edge fallback*/
    color: var(--on-main);
    box-shadow: var(--material-shadow-elevation-4);
    overflow: visible;
    position: relative;
    z-index: 4;
}
.materialAppBar.hidden {
    display: none;
}
.materialHighAppBar {
    height: 6.5rem;
}
.materialHeaderSectionContainer {
    display: flex;
    align-items: center;
}
.materialHeaderSection {
    padding: 1rem;
    height: 1.5rem;
    display: inline-flex;
    flex: 1;
}
.materialLeftHeaderSection {
    align-content: flex-start;
    padding-right: 0;
}
.materialRightHeaderSection {
    align-content: flex-end;
    text-align: end;
    flex: 1 1 0;
    padding-left: 0;
}
.materialHeaderSection > * {
    color: white; /*MS Edge fallback*/
    color: var(--on-main);
}
.materialRightHeaderSection > *:first-child {
    flex: 1;
}
.materialRightHeaderSection > * {
    align-content: flex-end;
    /* flex: 1 1 0; */
    margin:auto 0;
}
.materialHeaderSection .materialButton {
    padding: 0;
    min-height: auto;
    font-size: .875rem;
    text-transform: uppercase;
}
/*### Headings ###*/
.materialHeading {
    font-weight: normal;
    font-size: 1.125rem;
    height: 1.5rem;
    display: inline-block;
    margin: 0;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
/*### Containers ###*/
/*.materialContainer {
    overflow: hidden;
}*/
/*### TabViews ###*/
.materialTabView {
    display: flex;
    height: 3rem;
    overflow: auto;
    position: sticky;
}
.materialTabView::-webkit-scrollbar {
    display: none;
}
.materialTabSection {
    box-sizing: border-box;
    font-size: .875rem;
    height: 3rem;
    padding: 1rem;
    text-transform: uppercase;
    min-width: 5.625rem;
    max-width: 22.5rem;
    flex: 1;
    align-content: center;
    text-align: center;
    cursor: pointer;
    transition: border-bottom-width var(--mid-transition-duration) var(--standard-transition);
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    -webkit-tap-highlight-color: transparent;
    border: 0 solid var(--accent-color);
}
.materialTabSection.highlighted {
    border-color: white; /*MS Edge fallback*/
    border-color: var(--on-main);
    border-bottom-color: var(--accent-color);
    border-bottom-width: .25rem;
}
.materialTabBodySection {
    height: calc(100% - 6rem);
    width: 100%;
    float: left;
    position: fixed;
    left: -100%;
    overflow: auto;
    transition: left var(--mid-transition-duration) var(--standard-transition);
}
.materialTabBodySection.right {
    left: 100%;
}
.materialTabBodySection.shown {
    width: 100%;
    left: 0;
}
.materialTabBodySection.hidden {
    display: none;
}
.materialTabBodySectionContent {
    width: 100%;
}
.materialNavigationDrawerContainer {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: -5;
    touch-action: none;
}
.materialNavigationDrawer {
    width: 17.5rem;
    height: 100%;
    background: var(--light-text);
    overflow-x: hidden;
    overflow-y: auto;
    position: relative;
    right: 17.5rem;
    margin: 0;
    display: flex;
    flex-direction: column;
    will-change: right;
    transition: right var(--mid-transition-duration) var(--decelerate-transition);
    z-index: +1;
    box-shadow: 0;
}
.materialNavigationDrawerHeader {
    min-height: 4rem;
    font-size: 1.25rem;
    padding: 1.125rem 1rem .875rem 1rem;
    box-sizing: border-box;
    align-content: flex-start;
}
/*
.materialNavigationDrawerList {

}
*/
.materialNavigationDrawerFooter {
    min-height: 3rem;
    padding: .75rem 1rem;
    box-sizing: border-box;
    color: rgba(0,0,0,var(--dark-primary-opacity));
    align-content: flex-end;
    margin-top: auto;
}
.materialNavigationDrawerBlur {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.32);
    opacity: 0;
    will-change: opacity;
    transition: opacity var(--mid-transition-duration) var(--standard-transition);
}
.materialNavigationDrawerContainer.zElevated {
    z-index: 6;
    box-shadow: var(--material-shadow-elevation-16);
}
.materialNavigationDrawerContainer.shown .materialNavigationDrawer {
    transition: right var(--slow-transition-duration) var(--decelerate-transition);
    right: 0;
}
.materialNavigationDrawerContainer.inSlide .materialNavigationDrawer, .materialNavigationDrawerContainer.zElevated .materialNavigationDrawer {
    box-shadow: var(--material-shadow-elevation-16);
}
.materialNavigationDrawerContainer.shown .materialNavigationDrawerBlur {
    opacity: 1;
}
/*### SnackBars ###*/
.materialSnackBar {
    transition: opacity var(--mid-transition-duration) var(--standard-transition);
    position: fixed;
    background: black;
    bottom: 0;
    left: 0;
    border-radius: 0;
    color: var(--light-text);
    opacity: 0;
    font-size: .875rem;
    display: flex;
    width: 100%;
}
.materialSnackBar.shown {
    opacity: .86328125;
    transition: opacity var(--mid-transition-duration) var(--standard-transition), left var(--mid-transition-duration) var(--standard-transition),
        bottom var(--mid-transition-duration) var(--standard-transition), width var(--mid-transition-duration) var(--standard-transition), border-radius var(--mid-transition-duration) var(--standard-transition);
}
.materialSnackBarText {
    margin: 1rem;
    align-content: flex-start;
}
.materialSnackBarButton {
    align-content: flex-end;
    text-align: end;
    flex: 1 1 0;
    margin: .375rem;
}
/*### Cards and CardStacks ###*/
.materialCardStack {
    overflow-x: auto;
    min-height: 18rem;
    width: 100%;
    padding: 2rem;
    box-sizing: border-box;
    display: flex;
}
.materialCard {
    max-width: 21.5rem;
    min-width: 16rem;
    box-shadow: var(--material-shadow-elevation-1);
    margin: 0 1rem;
    border-radius: .25rem;
    display: flex;
    flex-direction: column;
    background: var(--light-text);
}
.materialCard.pointer {
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}
.materialCard.materialCard.pointer:active {
    box-shadow: var(--material-shadow-elevation-8);
}
.materialCardHeader {
    display: flex;
    height: 2.5rem;
    padding: 1rem;
}
.materialCardHeaderTitle {
    margin: auto 0;
    color: var(--dark-text);
    font-size: 1.5rem;
    height: 2rem;
}
.materialCardHeaderTitleSmall {
    font-size: 1.25rem;
    height: 1.25rem;
}
.materialCardHeaderSubHeading {
    font-size: .875rem;
}
.materialCardMedia {
    width: 21.5rem;
    height: 12.125rem;
    object-fit: cover;
}
.materialCardText {
    margin: 0;
    padding: 1rem;
}
.materialCardActions {
    padding: .5rem;
    align-items: flex-end;
    margin-top: auto;
}
.materialCardActions .materialButton{
    margin-right: .5rem;
}
/*### Dividers and lists ###*/
.materialDivider {
    margin: 0;
    height: 0.0625rem;
    opacity: var(--dark-divider-opacity);
    color: black;
    padding: 0;
}
.materialListView {
    margin: 0;
    padding: .5rem 0;
    list-style: none;
    background: var(--light-text);
}
.materialListView.seperate > .materialListItem, .materialListView.seperate > .materiaExpandablelListItem {
    border-bottom: 0.0625rem solid rgba(0,0,0,0.05);
}
.materialListView.seperate > .materialListItem:last-child, .materialListView > .materiaExpandablelListItem:last-child {
    border-bottom: none;
}
.materialListItem, .materialExpandableListItemContaner {
    min-height: 3rem;
    padding: .75rem 1rem;
    box-sizing: border-box;
    color: rgba(0,0,0,var(--dark-primary-opacity));
    display: flex;
    background: var(--light-text);
    /*padding-left: env(safe-area-inset-left);
    padding-right: env(safe-area-inset-right);*/
}
.materialListItem > .leftContent, .materialExpandableListItemContaner > .leftContent {
    flex: unset;
    align-content: flex-start;
    margin: auto 1rem auto;
}
.materialListItem > .centerContent, .materialExpandableListItemContaner > .centerContent {
    flex: 1 1 0;
    margin-top: auto;
    margin-bottom: auto;
}
.materialListItem > .rightContent, .materialExpandableListItemContaner > .rightContent {
    flex: unset;
    align-content: flex-end;
    margin-left: 1rem;
}
.materialListItem.materialDrawerListItem > * {
    margin: 0;
    margin-left: 0;
    margin-right: 0;
}
.materialDrawerListItem {
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}
.materialDialog .materialListItem {
    padding: 0;
}
.materialDrawerListItem::before {
    content: "";
    background: transparent;
    position: absolute;
    display: block;
    width: calc(100% - 1rem);
    margin-top: -.5rem;
    margin-left: -.5rem;
    height: 2.5rem;
    opacity: var(--dark-divider-opacity);
    border-radius: .25rem;
    transition: background var(--mid-transition-duration) var(--standard-transition);
}
.materialDrawerListItem.highlighted::before {
    opacity: var(--dark-divider-opacity);
    background: #ff5722;
    background: var(--main-color);
}
.materialDrawerListItem:not(.highlighted):hover::before {
    background: var(--dark-text);
}
.materialListItem > .materialIconButton, .materialExpandableListItemContaner > .materialIconButton {
    margin: auto .5rem;
}
.materialExpandableListItemContent {
    transform: scaleY(0);
    transform-origin: top;
    overflow: hidden;
    max-height: 0;
    transition: transform var(--fast-transition-duration) var(--standard-transition), max-height 0 ease var(--mid-transition-duration);
}
.materialExpandableListItemContent.tabulate {
    margin-left: 4.5rem;
}
.materialExpandableListItemContaner.expanded ~ .materialExpandableListItemContent {
    transform: scaleY(1);
    max-height: unset;
    max-height: fit-content;
    transition: var(--mid-transition-duration) var(--standard-transition);
}
.expandableListItemButton {
    transform: rotateX(0deg);
    transition: transform var(--fast-transition-duration) var(--standard-transition);
}
.materialExpandableListItemContaner.expanded > .expandableListItemButton {
    transform: rotateX(180deg);
}
/*###Material Box ###*/
.materialBox {
    margin: .5rem auto;
    padding: 1rem;
    box-shadow: var(--material-shadow-elevation-2);
    border-radius: .125rem;
    box-sizing: border-box;
    width: calc(100% - 1rem);
    max-width: calc(45rem + 2rem); /*720px + 1rem padding*/
    background: var(--light-text);
}
/*### Material Inputs ###*/
.materialInputOuterArea {
    display: inline-block;
    margin-right: .875rem !important;
    padding-top: 1.25rem;
}
.materialInputLabel {
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    font-size: 1rem;
    letter-spacing: .04rem;
    display: inline-block;
    position: relative;
    margin-bottom: .5rem;
    will-change: opacity,transform,color;
}
.materialInput {
    min-width: 17.5rem;
    padding: 0 0 .5rem;
    background: none;
    border: none;
    font: inherit;
    -webkit-appearance: none;
    outline: none;
    appearance: none;
    transition: border-bottom-color var(--fast-transition-duration) var(--standard-transition);
    border-bottom: .0625rem solid rgba(0,0,0,.12);
    border-radius: 0; /*Safari fix*/
}
.materialInputArea {
    overflow: hidden;
}
.materialInputSelectOption {
    height: 3rem;
    padding: 0 1rem;
    background: var(--light-text);
}.materialInputSelectOption:hover {
    background: var(--light-background-color);
}
.materialInputSelect ~ .materialInputLabelText:not(.floatAbove) {
    opacity: 0;
}
.materialInput:focus {
    border-bottom-color: var(--accent-color);
}
.materialInputLabelText {
    color: rgba(0,0,0,var(--dark-disabled-opacity));
    position: absolute;
    top: .15rem;
    left: 0;
    transform-origin: left top;
    transition: transform var(--fast-transition-duration) var(--standard-transition),color var(--fast-transition-duration) var(--standard-transition);
    cursor: text;
}
.materialInput:-webkit-autofill,
.materialInput:-webkit-autofill:hover,
.materialInput:-webkit-autofill:focus,
.materialInput:-webkit-autofill:active {
    -webkit-transition: color 99999999s ease-out, background-color 99999999s ease-out;
    -webkit-transition-delay: 99999999s;
}
.materialInputLabelText.floatAbove {
    transform: translateY(-100%) scale(.75);
    cursor: auto;
    color: var(--accent-color);
}
.materialInput[type=file] ~ .materialInputLabelText:not(.floatAbove) {
    transform: translateY(-100%) scale(.75);
}
.materialInput:invalid ~ .materialInputLabelText {
    color: var(--google-red-500)!important;
}
.materialInputHelper {
    display: block;
    font-size: .75rem;
    color: rgba(0,0,0,var(--dark-disabled-opacity));
}
/*### Checkboxes ###*/
.materialCheckBoxConatainer {
    width: 1.125rem;
    height: 1.125rem;
    padding: .6875rem;
    vertical-align: bottom;
    position: relative;
    box-sizing: content-box;
    line-height: 0;
    white-space: nowrap;
    display: inline-block;
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
}
.materialCheckBox {
    -webkit-appearance: none;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    opacity: 0;
    box-sizing: inherit;
    z-index: 1;
    cursor: inherit;
}
.materialCheckBoxBackground {
    background: transparent;
    border-color: transparent;
    will-change: background-color, border-color;
    display: inline-block;
    width: 45%;
    height: 45%;
    position: absolute;
    bottom: 0;
    left: .6875rem;
    right: auto;
    top: .6875rem;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
    border: .125rem solid rgba(0,0,0,.54);
    border-radius: .125rem;
    transition: background-color 90ms cubic-bezier(.4,0,1,1) 0ms,border-color 90ms cubic-bezier(.4,0,1,1) 0ms;
}
.materialCheckBoxBackgroundGraphic {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    fill: var(--light-text);
    opacity: 0;
    will-change: opacity;
    transition: opacity .18s cubic-bezier(.4,0,1,1) 0ms;
}
.materialCheckBoxBackgroundGraphicPath {
    -webkit-transition: stroke-dashoffset .18s cubic-bezier(.4,0,1,1) 0ms;
    transition: stroke-dashoffset .18s cubic-bezier(.4,0,1,1) 0ms;
    stroke: var(--light-text)!important;
    stroke-width: .25rem;/*.195rem*/
    stroke-dashoffset: 29.78334;
    stroke-dasharray: 29.78334;
}
.materialCheckBox:checked ~ .materialCheckBoxBackground {
    background: var(--accent-color);
    border-color: var(--accent-color);
    transition: border-color 90ms cubic-bezier(0,0,.2,1) 0ms,background-color 90ms cubic-bezier(0,0,.2,1) 0ms;
}
.materialCheckBox:checked ~ .materialCheckBoxBackground > .materialCheckBoxBackgroundGraphic {
    transition: opacity .18s cubic-bezier(0,0,.2,1) 0ms,transform .18s cubic-bezier(0,0,.2,1) 0ms;
    opacity: 1;
}
.materialCheckBox:checked ~ .materialCheckBoxBackground > .materialCheckBoxBackgroundGraphic > .materialCheckBoxBackgroundGraphicPath{
    stroke-dashoffset: 0;
}
.materialCheckBoxBackground:before {
    content: "";
    display: block;
    width: 3rem;
    height: 3rem;
    position: absolute;
    top: calc(-50% - .675rem);
    left: calc(-50% - .675rem);
    border-radius: 50%;
    background: #000;
    opacity: 0;
    transition: opacity var(--mid-transition-duration) var(--standard-transition);
}
.materialCheckBox:active ~ .materialCheckBoxBackground::before {
    transition: opacity var(--fast-transition-duration) var(--standard-transition);
    opacity: var(--dark-divider-opacity);
}
/*### RadioButtons ###*/
.materialRadioButtonContainer {
    -webkit-tap-highlight-color: transparent;
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    width: 2.5rem;
    height: 2.5rem;
    padding: .625rem;
    cursor: pointer;
    will-change: opacity,transform,border-color,background-color,color;
}
.materialRadioButton {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    cursor: inherit;
    opacity: 0;
    z-index: 1;
}
.materialRadioButtonBackground {
    display: inline-block;
    position: absolute;
    width: 50%;
    height: 50%;
    box-sizing: border-box;
}
.materialRadioButtonBackgroundGraphicOuterCircle {
    border: .125rem solid rgba(0,0,0,.54);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: border-color .12s cubic-bezier(.4,0,1,1) 0ms;
    border-radius: 50%;
    box-sizing: border-box;
}
.materialRadioButtonBackgroundGraphicInnerCircle {
    background-color: rgba(0,0,0,.54);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform: scale(0);
    transition: transform .12s cubic-bezier(.4,0,1,1) 0ms,background-color .12s cubic-bezier(.4,0,1,1) 0ms;
    border-radius: 50%;
    box-sizing: border-box;
}
.materialRadioButton:checked ~ .materialRadioButtonBackground {
    transition: opacity .12s cubic-bezier(0,0,.2,1) 0ms,transform .12s cubic-bezier(0,0,.2,1) 0ms;
}
.materialRadioButton:checked ~ .materialRadioButtonBackground > .materialRadioButtonBackgroundGraphicOuterCircle {
    transition: border-color .12s cubic-bezier(0,0,.2,1) 0ms;
    border-color: var(--accent-color);
}
.materialRadioButton:checked ~ .materialRadioButtonBackground > .materialRadioButtonBackgroundGraphicInnerCircle {
    border-color: var(--accent-color);
    background-color: var(--accent-color);
    transform: scale(.5);
    transition: transform .12s cubic-bezier(0,0,.2,1) 0ms,background-color .12s cubic-bezier(0,0,.2,1) 0ms;
}
.materialRadioButtonBackground:before {
    content: "";
    display: block;
    width: 3rem;
    height: 3rem;
    position: absolute;
    top: calc(-50% - .3rem);
    left: calc(-50% - .3rem);
    border-radius: 50%;
    background: #000;
    opacity: 0;
    transition: opacity var(--mid-transition-duration) var(--standard-transition);
}
.materialRadioButton:active ~ .materialRadioButtonBackground::before {
    transition: opacity var(--fast-transition-duration) var(--standard-transition);
    opacity: var(--dark-divider-opacity);
}
/*### inputSwitch ###*/
.materialInputSwitchContainer {
    display: inline-block;
    position: relative;
    margin: .3125rem .75rem .3125rem .75rem;
}
.materialInputSwitch {
    display: inline-block;
    position: absolute;
    top: -.225rem;
    left: 0;
    width: 2.125rem;
    height: 1.375rem;
    cursor: pointer;
    opacity: 0;
    z-index: 2;
    -webkit-tap-highlight-color: transparent;
    padding: 0;
    margin: 0;
}
.materialInputSwitchBackground {
    display: block;
    position: relative;
    width: 2.125rem;
    height: .875rem;
    border-radius: .4375;
    outline: none;
    cursor: pointer;
    user-select: none;
}
.materialInputSwitchKnob {
    display: block;
    position: absolute;
    top: -.1875rem;
    left: 0;
    width: 1.25rem;
    height: 1.25rem;
    transform: translateX(0);
    transition: transform 90ms cubic-bezier(.4,0,.2,1),background-color 90ms cubic-bezier(.4,0,.2,1);
    border-radius: 0.625rem;
    background-color: #fafafa;
    box-shadow: var(--material-shadow-elevation-1);
    z-index: 1;
}
.materialInputSwitchBackground::before {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    transition: opacity 90ms cubic-bezier(.4,0,.2,1),background-color 90ms cubic-bezier(.4,0,.2,1);
    border-radius: .4375rem;
    background-color: #000;
    content: "";
    opacity: .38;
}
.materialInputSwitch:checked ~ .materialInputSwitchBackground::before {
    opacity: .5;
    background-color: var(--accent-color);
}
.materialInputSwitch:checked ~ .materialInputSwitchBackground > .materialInputSwitchKnob {
    background-color: var(--accent-color);
    transform: translateX(.875rem);
    transition: transform 90ms cubic-bezier(.4,0,.2,1),background-color 90ms cubic-bezier(.4,0,.2,1);
}
.materialInputSwitchKnob::before {
    content: "";
    display: block;
    width: 3rem;
    height: 3rem;
    position: absolute;
    top: calc(-50% - .3125rem);
    left: calc(-50% - .3125rem);
    border-radius: 50%;
    background: #000;
    opacity: 0;
    transition: opacity var(--mid-transition-duration) var(--standard-transition);
}
.materialInputSwitch:active ~ .materialInputSwitchBackground > .materialInputSwitchKnob::before {
    transition: opacity var(--fast-transition-duration) var(--standard-transition);
    opacity: var(--dark-divider-opacity);
}
/*### materialDialogs ###*/
.materialDialogContainer {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 10;
}
.materialDialogBackground {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    transition: opacity var(--fast-transition-duration-out) var(--standard-transition);
    opacity: 0;
    z-index: -1;
}
.materialDialog {
    max-width: 35rem;
    width: min-content;
    /*min-height: 11.25rem;*/
    max-height: calc(100% - 4rem);
    overflow: auto;
    min-width: 17.5rem;
    background: var(--light-text);
    height: -moz-fit-content;
    height: fit-content;
    margin: auto;
    z-index: 1;
    border-radius: .25rem;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    transition: opacity var(--fast-transition-duration-out) var(--standard-transition);
    opacity: 0;
    display: flex;
    flex-direction: column;
    box-shadow: var(--material-shadow-elevation-24);
}
.materialDialogQuestion {
    margin: 0;
    padding: 1.5rem;
    padding-top: 1rem;
}
.materialDialogQuestion > * {
    margin: 0;
    opacity: var(--dark-primary-opacity);
}
.materialDialogActions {
    height: 3.25rem;
    margin-top: auto;
    align-self: flex-end;
    padding: .5rem;
    box-sizing: border-box;
}
.materialDialogContainer.shown > .materialDialogBackground {
    transition: opacity var(--fast-transition-duration-in) var(--standard-transition);
    opacity: var(--dark-divider-opacity);
}
.materialDialogContainer.shown > .materialDialog {
    transition: opacity var(--fast-transition-duration-in) var(--standard-transition);
    opacity: 1;
}

.materialLinearProgressBar {
    z-index: 5;
	position: absolute;
	width: 100%;
	height: .25rem;
    overflow: hidden;
    margin-bottom: -.25rem;
}

.materialLinearProgressBarPrimaryBar {
	left: -145.166611%;
	animation: mtProgressBarPrimaryMove 2s infinite linear;
	position: absolute;
	width: 100%;
	height: 100%;
	transition: none;
}
.materialLinearProgressBarPrimaryBarInner {
	animation: mtProgressBarPrimaryScale 2s infinite linear;
	background: var(--accent-color);
	display: inline-block;
	position: absolute;
	height: 100%;
	width: 100%;
}
.materialLinearProgressBarSecondaryBar {
	left: -54.888891%;
	animation: mtProgressBarSecondaryMove 2s infinite linear;
	position: absolute;
	width: 100%;
	height: 100%;
	transition: none;
}
.materialLinearProgressBarSecondaryBarInner {
	animation: mtProgressBarSecondaryScale 2s infinite linear;
	background: var(--accent-color);
	display: inline-block;
	position: absolute;
	height: 100%;
	width: 100%;
}
.materialCircularProgressIndicator {
    width: 3rem;
    height: 3rem;
    margin: auto;
}
.materialCircularProgressIndicator.fullScreenProgress {
    width: 2.5rem;
    height: 2.5rem;
    left: 0;
    margin: 0 auto;
    right: 0;
    background: var(--on-main);
    box-shadow: var(--material-shadow-elevation-4);
    position: absolute;
    top: 8rem;
    z-index: 4;
    border-radius: 50%;
    padding: .5rem;
    box-sizing: border-box;
}
.materialCircularProgressIndicator > svg {
    animation: mtProgressCircularRotate 1.4s linear infinite;
}
.materialCircularProgressIndicator > svg > circle {
    animation: mtProgressCircularDash 1.4s ease-in-out infinite;
    stroke-dasharray: 80px, 200px;
    stroke-dashoffset: 0px;
    stroke: var(--accent-color);
    stroke-width: .25rem;
}
/*Beginning small screens*/
@media all and (max-width:27rem) {
    .materialListItem:not(.materialDrawerListItem) {
        padding-left: .5rem;
        padding-right: .5rem;
    }
    .materialInput {
        min-width: 15.5rem;
    }
    .materialExpandableListItemContent.tabulate {
        margin-left: 1.5rem;
    }
}
/*Beginning very smal screens*/
@media all and (max-width:23rem) {
    .materialInputOuterArea {
        margin-right: 0!important;
    }
    .materialInput {
        min-width: 14rem;
    }
    .materialBox {
        margin: 0;
        box-shadow: none;
        width: 100%;
        border-radius: 0;
        padding: .5rem;
    }
    .materialApp {
        background: var(--light-text);
    }
    .materialExpandableListItemContent.tabulate {
        margin-left: .5rem;
    }
}
/*Beginning at mid-resolution screens*/
@media all and (min-width:48rem) {
    .materialSnackBar {
        bottom: 1.5rem;
        left: 1.5rem;
        border-radius: .25rem;
        width: 21.5rem;
        padding-left: env(safe-area-inset-left);
        padding-right: env(safe-area-inset-right);
    }
    .snackBarShown .materialExposedFAB {
        bottom: 2rem;
    }
}
/*Beginning large screens*/
@media all and (min-width:64rem) {
    .materialNavigationDrawerContainer {
        width: 16rem;
        position: static;
        float: left;
    }
    .materialNavigationDrawer {
        width: 16rem;
    }
    .materialNavigationDrawerBlur {
        display: none;
    }
    .materialNavigationDrawer {
        position: relative;
        right: unset;
        box-shadow: none!important; /*Displayed box-shadow is not according to google design guidelines*/
    }
    .materialNavigationDrawerContainer ~ .materialAppBar .materialDrawerButton {
        display: none;
    }
    .materialNavigationDrawerContainer ~ .materialScaffold .materialDrawerButton {
        display: none;
    }
    .materialNavigationDrawerContainer ~ .materialScaffold {
        width: unset;
    }
    .materialNavigationDrawerContainer ~ .materialScaffold .materialTabBodySection.shown {
        width: calc(100% - 16rem);
        left: 16rem;
    }
    .materialNavigationDrawerContainer ~ .materialSnackBar {
        left: 19rem;
    }
    .materialAppBar {
        z-index: unset;
    }
    .materialLinearProgressBar {
        width: calc(100% - 16rem);
    }
    .materialCircularProgressIndicator.fullScreenProgress {
        left: 16rem;
    }
}

@keyframes mtProgressBarPrimaryMove {
  0% {
    transform: translateX(0);
  }

  20% {
    animation-timing-function: cubic-bezier(.5, 0, .701732, .495819);
    transform: translateX(0);
  }

  59.15% {
    animation-timing-function: cubic-bezier(.302435, .381352, .55, .956352);
    transform: translateX(83.67142%);
  }

  100% {
    transform: translateX(200.611057%);
  }
}
@keyframes mtProgressBarPrimaryScale {
  0% {
    transform: scaleX(.08);
  }

  36.65% {
    animation-timing-function: cubic-bezier(.334731, .12482, .785844, 1);
    transform: scaleX(.08);
  }

  69.15% {
    animation-timing-function: cubic-bezier(.06, .11, .6, 1);
    transform: scaleX(.661479);
  }

  100% {
    transform: scaleX(.08);
  }
}

@keyframes mtProgressBarSecondaryMove {
  0% {
    animation-timing-function: cubic-bezier(.15, 0, .515058, .409685);
    transform: translateX(0);
  }

  25% {
    animation-timing-function: cubic-bezier(.31033, .284058, .8, .733712);
    transform: translateX(37.651913%);
  }

  48.35% {
    animation-timing-function: cubic-bezier(.4, .627035, .6, .902026);
    transform: translateX(84.386165%);
  }

  100% {
    transform: translateX(160.277782%);
  }
}

@keyframes mtProgressBarSecondaryScale {
  0% {
    animation-timing-function: cubic-bezier(.205028, .057051, .57661, .453971);
    transform: scaleX(.08);
  }

  19.15% {
    animation-timing-function: cubic-bezier(.152313, .196432, .648374, 1.004315);
    transform: scaleX(.457104);
  }

  44.15% {
    animation-timing-function: cubic-bezier(.257759, -.003163, .211762, 1.38179);
    transform: scaleX(.72796);
  }

  100% {
    transform: scaleX(.08);
  }
}


@keyframes mtProgressCircularRotate {
    100% {
        transform: rotate(360deg);
    }
}
@keyframes mtProgressCircularDash {
  0% {
    stroke-dasharray: 1px, 200px;
    stroke-dashoffset: 0px;
  }
  50% {
    stroke-dasharray: 100px, 200px;
    stroke-dashoffset: -15px;
  }
  100% {
    stroke-dasharray: 100px, 200px;
    stroke-dashoffset: -125px;
  }
}